<?php
ini_set('display_errors', 1);
require_once './Control/ControlArtigo.php';
require_once './Util/formAjax/FormAjax.php';
//require_once './Util/Imagem.php';
extract($_POST);
//echo print_r($_POST, true);	
$controlArtigo = new ControlArtigo();
if ($acao == 'inserir')
{
	$artigoTipo = new Artigotipo();
} else
{
	$artigoTipo = $controlArtigo->pegarUmArtigotipo($pk);
}
if ($acao != 'excluir')
{
    $artigoTipo->lang = $lang;
    $artigoTipo->sNome(stripslashes($txtNome));
    $artigoTipo->setHabilitado(stripslashes($cbHabilitado));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlArtigo->salvarArtigotipo($artigoTipo);
                    break;
            case 'inserir':
                    $retorno = $controlArtigo->salvarArtigotipo($artigoTipo);
                    $acao = 'alterar';
                    $artigoTipo->find(true);
                    $pk = $artigoTipo->getArtigotipoid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlArtigo->excluirArtigotipo($artigoTipo);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#artigoTipoID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>